明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1801|回复: 3

修改线宽无法实现啊!!急急

[复制链接]
发表于 2008-7-17 11:08:00 | 显示全部楼层 |阅读模式

我感觉是setlineweight函数中的acdb::lineweight枚举类型的原因,谁能帮我改该啊?就是最后的那一句啊!!

void zzxchangeLineWid()
{
#ifdef OARXWIZDEBUG
 acutPrintf ("\nOARXWIZDEBUG - zzxchangeLineWid() called.");
#endif // OARXWIZDEBUG

 // TODO: Implement the command

 //open the entity
 AcDbBlockTable* pBlkTbl;
 AcDbBlockTableRecord* pBlkTblRed;
 if (acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlkTbl, AcDb::kForRead) != Acad::eOk)
 {
  acutPrintf(_T("\n connot open the blocktable!"));
  return;
 }
 pBlkTbl->getAt(ACDB_MODEL_SPACE, pBlkTblRed, AcDb::kForRead);
 pBlkTbl->close();
 acutPrintf("111");

 //build an Iterator
 AcDbBlockTableRecordIterator* pItr;
 pBlkTblRed->newIterator(pItr);
 

 //Iterate the Entity
 for (pItr->start(); !pItr->done(); pItr->step())
 {
  AcDbEntity* pEnt;
  if (pItr->getEntity(pEnt, AcDb::kForWrite) != Acad::eOk)
  {
   acutPrintf(_T("\n connot open the Entity!"));
   return;
  }

  //change the lineweight of Entity

AcDb:ineWeight lineweight= pEnt->lineWeight();

lineweight= ???????????????;//  who can compelete it ?????


  if (pEnt->setLineWeight(lineweight) != Acad::eOk)
  {   
   pEnt->close();
  }
 
  pEnt->close();
 }
 //delete the Iterator
 delete pItr;
 pBlkTblRed->close();
}

 楼主| 发表于 2008-7-17 11:10:00 | 显示全部楼层
我是初学者,高手来一下啊
发表于 2008-7-19 11:31:00 | 显示全部楼层

pEnt->setLineWeight(kLnWt009)

AcDb:ineWeight是个enum,你查下帮助就知道了

 楼主| 发表于 2008-7-25 16:23:00 | 显示全部楼层
恩,谢谢,问题已经解决
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 15:33 , Processed in 0.199801 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表